// SPDX-License-Identifier: BSD-3-Clause
package org.islandoftex.texplate;

import org.islandoftex.texplate.model.TemplateProcessing;
import org.islandoftex.texplate.util.MessageUtils;
import picocli.CommandLine;

/**
 * The main class. The application logic is enclosed in the template processing
 * class.
 *
 * @version 1.0
 * @since 1.0
 */
public class Main {

    /**
     * Main method. Note that it simply passes the control to the template
     * processing class.
     *
     * @param args The command line arguments.
     */
    public static void main(String[] args) {

        // draw the application logo in the
        // terminal (please have fixed fonts
        // in your terminal for a nice display)
        MessageUtils.drawLogo();

        // calls the command line processing method
        // and performs the actual application logic
        int exitCode = new CommandLine(new TemplateProcessing()).execute(args);
        System.exit(exitCode);
    }

}
